Package de.willuhn.jameica.hbci.server

# Enum Class AuslandsUeberweisungTyp

java.lang.Object
java.lang.Enum<AuslandsUeberweisungTyp>
de.willuhn.jameica.hbci.server.AuslandsUeberweisungTyp

All Implemented Interfaces:
  `Serializable`, `Comparable<AuslandsUeberweisungTyp>`, `Constable`

public enum AuslandsUeberweisungTyp extends Enum<AuslandsUeberweisungTyp>
Enum mit den Auftragstypen.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANT`
Echtzeitueberweisung
`TERMIN`
Terminueberweisung
`UEBERWEISUNG`
Ueberweisung
`UMBUCHUNG`
Umbuchung

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(AuslandsUeberweisung u)`
Uebernimmt den Typ in den Auftrag.
`static AuslandsUeberweisungTyp`
`byName(String name)`
Liefert die Enum für den Namen.
`static AuslandsUeberweisungTyp`
`determine(AuslandsUeberweisung u)`
Ermittelt den Typ anhand des Auftrages.
`String`
`getDescription()`
Liefert den Beschreibungstext.
`static AuslandsUeberweisungTyp`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuslandsUeberweisungTyp[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UEBERWEISUNG

public static final AuslandsUeberweisungTyp UEBERWEISUNG
Ueberweisung

### TERMIN

public static final AuslandsUeberweisungTyp TERMIN
Terminueberweisung

### UMBUCHUNG

public static final AuslandsUeberweisungTyp UMBUCHUNG
Umbuchung

### INSTANT

public static final AuslandsUeberweisungTyp INSTANT
Echtzeitueberweisung

## Method Details

### values

public static AuslandsUeberweisungTyp[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuslandsUeberweisungTyp valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDescription

public String getDescription()
Liefert den Beschreibungstext.

Returns:
  description

### determine

public static AuslandsUeberweisungTyp determine(AuslandsUeberweisung u) throws RemoteException
Ermittelt den Typ anhand des Auftrages.

Parameters:
  `u` - der Auftrag.
Returns:
  der Typ.
Throws:
  `RemoteException`

### byName

public static AuslandsUeberweisungTyp byName(String name)
Liefert die Enum für den Namen.

Parameters:
  `name` - der Name.
Returns:
  der Typ oder NULL, wenn keiner oder ein ungültiger angegeben ist.

### apply

public void apply(AuslandsUeberweisung u) throws RemoteException
Uebernimmt den Typ in den Auftrag.

Parameters:
  `u` - der Auftrag.
Throws:
  `RemoteException`